---
title: "Download"
draft: false
toc: true
---
# Latest Release: v0.5.0

<div class="alert alert-warning">
  <strong>Notice:</strong> v0.5.0 is still being prepared for release, most links
  below will not work right now. See <a href="#previous-releases">Previous Releases</a>
  in the mean time!
</div>

## Windows

The Microsoft&trade; Windows release of _Sketchy Maze_ currently comes as a ZIP
file that you can extract anywhere and then run the `sketchymaze.exe` program to
start the game.

**Note:** I do not yet have a code signing certificate for the Windows release,
so you may need to click through the "Unknown Publisher" warning.

* **64-bit:** [sketchymaze-0.5.0-windows-64bit.zip](https://download.sketchymaze.com/release/v0.5.0/sketchymaze-0.5.0-windows-64bit.zip)

[Let me know](mailto:noah@kirsle.net) if you need a 32-bit build of this game.

---

## GNU/Linux

### Flatpak (All Distros)

The easiest cross-distro way to download _Sketchy Maze_ is via [Flatpak](https://flatpak.org/),
which is well supported on most popular Linux distributions including Fedora, Ubuntu,
Debian and others.

```bash
# Add the Flatpak repository for this game (only needed the first time).
# NOTE: "doodle" is Sketchy Maze's internal codename, you can name this remote
# whatever you want but it should match the install command later.
$ flatpak remote-add --if-not-exists doodle https://download.sketchymaze.com/flatpak/doodle.flatpakrepo

# Then install Sketchy Maze:
$ flatpak install doodle com.sketchymaze.Doodle

# When there's an update, getting the latest version is simple too:
$ flatpak update
```

### Fedora (.rpm)

TBD.

### Ubuntu & Debian (.deb)

TBD.

### Tarball

You can download _Sketchy Maze_ as a `.tar.gz` archive which you can extract
anywhere and run. The binary is built on a modern Fedora system and _hopefully_
should run as-is on other modern GNU/Linux systems, but sometimes shared library
versions of SDL2 may not match your computer.

* **64-bit:** [sketchymaze-0.5.0-linux-64bit.tar.gz](https://download.sketchymaze.com/release/v0.5.0/sketchymaze-0.5.0-linux-64bit.tar.gz)

---

## Mac OS

---

# Previous Releases

## Project: Doodle v0.4.0 and Older

Older alpha builds of Sketchy Maze (codenamed _Project: Doodle_) are available
from blog posts on the author's personal website. These releases mainly targeted
Linux and Windows with the occasional Mac OS version.

* [Project: Doodle v0.4.0](https://www.kirsle.net/project-doodle-v0-4-0) -- _Nov 24, 2020_
* [Project: Doodle v0.3.0](https://www.kirsle.net/project-doodle-v0-3-0) -- _Sept 19, 2020_
* [Project: Doodle v0.2.0](https://www.kirsle.net/project-doodle-v0-2-0) -- _June 7, 2020_
* [Project: Doodle v0.1.0](https://www.kirsle.net/doodle-v0.1.0) -- _Apr 13, 2020_
* [Project: Doodle v0.0.10](https://www.kirsle.net/doodle) -- _July 9, 2019_
